plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-parcelize'
}

android {
    namespace 'com.adealink.frame.oss'
    compileSdk libs.versions.compileSdk.get().toInteger()

    defaultConfig {
        minSdk libs.versions.minSdk.get().toInteger()
        targetSdk libs.versions.targetSdk.get().toInteger()
        resConfigs "zh", "en", "in"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
        ndk {
            abiFilters "armeabi-v7a"
            abiFilters "arm64-v8a"
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = JavaVersion.VERSION_17.majorVersion
    }
}

dependencies {
    //kotlin
    implementation libs.kotlin.stdlib

    //androidx
    implementation libs.androidx.core.ktx

    //frame
    compileOnly libs.gson

    //frame
    compileOnly platform(libs.frame.bom)
    compileOnly libs.frame.data
    compileOnly libs.frame.zero
    compileOnly libs.frame.base
    compileOnly libs.frame.util
    compileOnly libs.frame.coroutine
    compileOnly libs.frame.log
    compileOnly libs.frame.media

    //test
    testImplementation libs.junit
    androidTestImplementation libs.androidx.junit
    androidTestImplementation libs.androidx.espresso.core
}